Failures with FlatManager

Bug #954580 reported by justinsb on 2012-03-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Dashboard (Horizon)
Critical
Unassigned

Bug Description

When using FlatManager for networking, the /os-floating-ips endpoint of nova returns a 500 (because " 'FlatManager' object has no attribute 'get_floating_ips_by_project' ")

Horizon can't e.g. launch instances when this is the case. In addition, going to the "instances & volumes" tab gives a 500 error.

It is possible to launch instances via the nova API.

I'm also opening a related bug in Nova, as I'm not sure where we can best fix this.

Here's the info from Horizon's log:

[Tue Mar 13 16:12:41 2012] [error]
[Tue Mar 13 16:12:41 2012] [error] DEBUG:horizon.api.nova:novaclient connection created using token "7758a6cc282d464591b02a33d10696ad" and url "http://192.168.90.1:8774/v2/a257f99f4a1b4f5e970902d65696d8e0"
[Tue Mar 13 16:12:41 2012] [error] DEBUG:novaclient.client:REQ: curl -i http://192.168.90.1:8774/v2/a257f99f4a1b4f5e970902d65696d8e0/os-floating-ips -X GET -H "X-Auth-Project-Id: a257f99f4a1b4f5e970902d65696d8e0" -H "User-Agent: python-novaclient" -H "Accept: application/json" -H "X-Auth-Token: 7758a6cc282d464591b02a33d10696ad"
[Tue Mar 13 16:12:41 2012] [error]
[Tue Mar 13 16:12:41 2012] [error] DEBUG:novaclient.client:RESP:{'date': 'Tue, 13 Mar 2012 23:12:41 GMT', 'status': '500', 'content-length': '128', 'content-type': 'application/json; charset=UTF-8', 'x-compute-request-id': 'req-a725b9a8-1b0b-47a6-860b-74a645bf711f'} {"computeFault": {"message": "The server has either erred or is incapable of performing the requested operation.", "code": 500}}
[Tue Mar 13 16:12:41 2012] [error]

justinsb (justin-fathomdb) wrote :

Ah - I'd already reported the nova bug. It's Bug #954580.

Devin Carlen (devcamcar) on 2012-03-18
Changed in horizon:
status: New → Confirmed
importance: Undecided → Critical
assignee: nobody → Nebula (nebula)
tags: added: essex-rc-potential
Gabriel Hurley (gabriel-hurley) wrote :

Justin: That's the bug number for this bug. Can you link to the actual Nova bug?

We'll have to see what the fix for this in Nova is to see whether we need to apply a fix on our end or not.

justinsb (justin-fathomdb) wrote :

Sorry for stupidity... Bug #937227

justinsb (justin-fathomdb) wrote :

I proposed a nova fix here:
https://review.openstack.org/#change,5494,patchset=1

I just stub-implemented the floating ips functionality (so it won't return any floating IPs).

It looked much harder to fix in a sensible way in horizon.

Devin Carlen (devcamcar) wrote :

When the fix lands in Nova we can mark this resolved in Horizon.

Changed in horizon:
status: Confirmed → In Progress
milestone: none → essex-rc1
Devin Carlen (devcamcar) on 2012-03-19
Changed in horizon:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-03-20
Changed in horizon:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in horizon:
milestone: essex-rc1 → 2012.1
Curtis Hovey (sinzui) on 2016-07-29
Changed in horizon:
assignee: Registry Administrators (registry) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers